/*
*	Analóg szenzor jelének olvasása és skálázása
*	Arduinoval
*	(Egyszerre több analóg jelet olvasunk)
*	techfactory.hu
*/

//hőmérséklet és a páratartalom pinje
#define TEMP_PIN A0
#define HUM_PIN A1

//ezekben a változókban fogjuk tárolni az adatokat.
float temp = 0;
float hum = 0;

void setup() {
  Serial.begin(115200);
  Serial.println("Starting up ...");
}

void loop() {
  //homerseklet map
  temp = map_float(analogRead(TEMP_PIN), 0, 1024, -20, 80);
  Serial.print(temp);
  Serial.println(" °C");
  
  //paratartalom
  hum = map_float(analogRead(HUM_PIN), 0, 1024, 0, 100);
  Serial.print(hum);
  Serial.println(" %");
  
  delay(2000);
}

//a map-hoz hasonló funkció amely két számtartomány között lebegőpontosan
//számolja át a bemeneti értéket
float map_float(long x, long in_min, long in_max, long out_min, long out_max) {
	return (float)(x - in_min) * (out_max - out_min) / (float)(in_max - in_min) + out_min;
}
