//Arduino UNO esetén
//A4 (SDA), A5 (SCL)

//NodeMCU/ESP8266 esetén 
//D2/4 (SDA), D1/5(SCL)

#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

Adafruit_BME280 bme;
float temperature, humidity, pressure, altitude;
//tengerszinti légnyomás hPA-ban
#define SEALEVELPRESSURE_HPA (1013.25)

void setup() {
  Serial.begin(115200);
  Serial.println("Starting up ...");
  //címzés hex formában
  bme.begin(0x76); 
}

void readBME() {
  temperature = bme.readTemperature();
  humidity = bme.readHumidity();
  pressure = bme.readPressure() / 100.0F;
  altitude = bme.readAltitude(SEALEVELPRESSURE_HPA);
}


void loop() {
   readBME();
   Serial.print("Temp = "+String(temperature));
   Serial.print(" | Hum: "+String(humidity));
   Serial.print(" | Press: "+String(pressure));
   Serial.println(" | Alt: "+String(altitude));
   delay(5000);
}
