//Ultrahangos távolságmérő szenzor minta kód
//NodeMCU/ESP8266 és Arduino platformra

#ifdef ESP8266
  #define TRIGGER_PIN D4
  #define ECHO_PIN D3
#else
  #define TRIGGER_PIN 2
  #define ECHO_PIN 3
#endif

//idő és távolság tárolására változók
long duration;
float distance;

void setup() {
  Serial.begin(115200);
  Serial.println("Starting up ...");
  pinMode(TRIGGER_PIN,OUTPUT);
  pinMode(ECHO_PIN,   INPUT);
}

void loop() {
  //a trigger pinnel kezdhetjük meg a mérési ciklust
  digitalWrite(TRIGGER_PIN, LOW);
  delayMicroseconds(2);
  digitalWrite(TRIGGER_PIN, HIGH);
  delayMicroseconds(10);
  digitalWrite(TRIGGER_PIN, LOW);

  //ezután megmérjük az eltelt időt;
  //a pulseIn funkció addig vár, amíg a szenzorhoz vissza nem érkezik a kiküldött hang
  //vagy el nem éri a timeout-ot ami alapból 3mp
  duration = pulseIn(ECHO_PIN, HIGH);
  //felszorozzuk a mért időt a hang terjedési sebességével cm/ms -re váltva, illetve osztjuk 2 vel
  //mert a hang 2x tette meg az utat
  distance = duration*0.034/2;
  
  //ezután pedig kiiratjuk a soros monitorra a mérést
  Serial.print("Idő: ");
  Serial.print(duration);
  Serial.print("ms | Távolság: ");
  Serial.print(distance);
  Serial.println(" cm");
  
  delay(2000);
}
